clear
echo
echo "WARNING! THE UPDATE PROCESS WILL ERASE ALL DATA, APPS & APP DATA ON YOUR DEVICE! (But not SDCard)"
echo
sleep 2
echo "Please reboot your device into fastboot by turning your phone on holding power + back"
echo
sleep 3
echo When you see FASTBOOT USB on the screen press enter.
echo Press enter to Continue
read enterKey
echo
echo "If you see a device below then your device is ready to be updated and you have the correct drivers installed."
echo
sudo ./fastboot-linux devices
echo 
echo "If you could see your device above then you are ready to proceed."
echo 
sleep 2
echo "If not, then you need to make sure that your device is connected in fastboot mode and that you have the drivers/HTC Sync installed."
echo "Press enter to continue..."
read enterKey
echo 
echo "Fetching Current Device Info..."
echo 
sleep 1
echo "ROM Version:"
sleep 1
sudo ./fastboot-linux getvar version-main
sleep 1
echo 
sleep 5
echo
echo "Press enter to continue..."
read enterKey
echo 
echo "Bootloader Version:"
sleep 1
sudo ./fastboot-linux getvar version-bootloader
echo 
sleep 1
echo "Device:"
sleep 1
sudo ./fastboot-linux getvar product
echo 
sleep 1
echo "Battery Status: (Must be good or better to proceed)"
sleep 1
sudo ./fastboot-linux getvar battery-status
echo 
sleep 1
echo "OK to proceed? (Press enter)"
read enterKey
echo 
echo Erasing Cache...
sleep 2
sudo ./fastboot-linux erase cache
echo Done!
echo 
echo Rebooting in RUU mode...
sleep 2
sudo ./fastboot-linux oem rebootRUU
echo "Flashing ROM...  DO NOT TOUCH YOUR DEVICE!"
sleep 3
echo 
sudo ./fastboot-linux flash zip ~/rom.zip
echo 
sleep 2
echo "You may get an error message above (HBOOT Pre Update!) don't worry, this is normal."
sleep 2
echo 
echo "Reflashing...  DO NOT TOUCH YOUR DEVICE!"
sleep 1
echo 
sudo ./fastboot-linux flash zip ~/rom.zip
echo 
echo "If you got another error message above, please run this script again."
echo 
sleep 2
echo "If the process completed with no errors the second time, you have successfully updated/downgraded your ROM!"
echo 
echo "Press enter to continue..."
read enterKey
echo 
echo "Rebooting Device... (First boot will take a while)"
sudo ./fastboot-linux reboot
sleep 3
echo "OK to disconnect"
echo 
echo "Thanks for using OpenRUU! If you can, please donate so I can buy some hosting to implement some cool features..."
echo 
sleep 3
echo "Donate: https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=max%40maxmarroni%2eco%2euk&lc=GB&item_name=OpenRUU&no_note=1&no_shipping=1&currency_code=GBP&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHosted"
echo 
echo "Have a nice day... :)"
sleep 1
echo "Press enter to exit."
read enterKey
exit
