clear
echo 
echo 42turkeys presents...
echo
sleep 1
echo "  ____                   _____  _    _ _    _ "
echo " / __ \                 |  __ \| |  | | |  | |"
echo "| |  | |_ __   ___ _ __ | |__) | |  | | |  | |  HBOOT"
echo "| |  | | '_ \ / _ \ '_ \|  _  /| |  | | |  | |  FLASH"
echo "| |__| | |_) |  __/ | | | | \ \| |__| | |__| |  VERSION"
echo " \____/| .__/ \___|_| |_|_|  \_\\____/ \_____/ "
echo "       | |                                    "
echo "       |_|            Version 1.0.1-LINUX "
echo 
echo "Please report bugfixes to openruu@maxmarroni.co.uk"
sleep 3
echo 
echo "This script will transfer a rom.zip to your SD Card, which you can then flash without a computer in HBOOT (Vol down + power)!"
echo 
echo "This script will only work with the HTC Desire."
echo 
echo "But it may work on others! Please test and report your findings to openruu@maxmarroni.co.uk or on XDA/MoDaCo."
sleep 3
echo "In some ways this is much safer than the fastboot method, as if you remove your phone accedentally during the radio flash, it will not fail and brick your phone"
sleep 5
echo 
echo "Press enter to continue..."
read enterKey
echo 
echo "Please make sure your phone is in recovery mode or turned on normally and that USB Debugging is on (Settings > Applications > Development > USB Debugging)"
sleep 1
echo 
echo "Press enter to continue..."
read enterKey
echo 
sudo ./adb-linux devices
sleep 1
echo "If you can see your device above then you are ready to continue."
sleep 1
echo 
echo "If not, please make sure that you have the correct drivers installed (HTC Sync) and that USB debugging is on."
sleep 2
echo "If you still have no luck, try another computer."
echo 
echo "Press enter to continue..."
read enterKey
echo
echo "Copying rom.zip and renaming to HEROIMG.zip..."
sleep 2
cat ~/rom.zip > PB99IMG.zip
echo "Done!"
echo 
echo "Transferring to root of SD Card using adb..."
sleep 2
sudo ./adb-linux push PB99IMG.zip /sdcard
echo "Done!"
echo 
echo "Verifying file transfer succsessful..."
sudo ./adb-linux shell ls /sdcard
echo 
echo "If you can see HEROIMG.zip above, then you are ready to flash the rom in HBOOT!"
echo 
echo "Press enter to continue..."
read enterKey
echo 
rm PB99IMG.zip
echo "Rebooting into fastboot for flash..."
sudo ./adb-linux reboot bootloader
echo 
echo "Rebooting..."
sleep 4
echo 
echo "You should now be in fastboot! Press VOL DOWN and follow the instructions on your device."
echo 
sleep 2
echo "Or do it manually by turning your phone on holding power + VOL DOWN and flash later."
echo 
sleep 2
echo "You can unplug your phone now."
echo 
echo "Press enter to exit..."
read enterKey
exit
